Bug 1255668 - [abrt] python3: _g_log_abort(): python3.4 killed by SIGTRAP
[abrt] python3: _g_log_abort(): python3.4 killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3db0d9cca886229381c9dcda8b2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 05:40 EDT by Valentin Villenave
Modified: 2016-07-19 13:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:36:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (178.73 KB, text/plain)
2015-08-21 05:41 EDT, Valentin Villenave
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-21 05:41 EDT, Valentin Villenave
no flags Details
File: core_backtrace (24.28 KB, text/plain)
2015-08-21 05:41 EDT, Valentin Villenave
no flags Details
File: dso_list (15.49 KB, text/plain)
2015-08-21 05:41 EDT, Valentin Villenave
no flags Details
File: environ (777 bytes, text/plain)
2015-08-21 05:41 EDT, Valentin Villenave
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-21 05:41 EDT, Valentin Villenave
no flags Details
File: maps (71.33 KB, text/plain)
2015-08-21 05:41 EDT, Valentin Villenave
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-08-21 05:41 EDT, Valentin Villenave
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-21 05:42 EDT, Valentin Villenave
no flags Details
File: open_fds (865 bytes, text/plain)
2015-08-21 05:42 EDT, Valentin Villenave
no flags Details
File: proc_pid_status (958 bytes, text/plain)
2015-08-21 05:42 EDT, Valentin Villenave
no flags Details

  None (edit)
Description Valentin Villenave 2015-08-21 05:40:20 EDT
Description of problem:
Greetings,

this is what I got with a brand-new F22 install on a new laptop, when plugging an HP Deskjet 2050A printer and launching a task. The printer was recognized and installed without a hitch, but then launching a task resulted in python3-dbus crashing (IIUC, see attached).

The printer is marked as "Enabled" and "Accepting tasks", yet I can’t get it to print anything (even after restarting CUPS and rebooting).

Version-Release number of selected component:
python3-3.4.2-4.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/share/system-config-printer/scp-dbus-service.py
crash_function: _g_log_abort
executable:     /usr/bin/python3.4
global_pid:     1691
kernel:         4.0.4-301.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at mar. 2015-08-18 20:22:46 CEST, end at ven. 2015-08-21 11:12:14 CEST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:315
 #8 XTranslateCoordinates at TrCoords.c:51
 #9 gdk_window_x11_get_root_coords at gdkwindow-x11.c:3105
 #10 gtk_tooltip_trigger_tooltip_query at gtktooltip.c:558
 #11 g_slist_foreach at gslist.c:878
 #12 tooltip_query_idle at gtkwidget.c:15347
 #18 gtk_main at gtkmain.c:1219
 #19 ffi_call_unix64 at ../src/x86/unix64.S:76
 #20 ffi_call at ../src/x86/ffi64.c:525
 #21 pygi_invoke_c_callable at pygi-invoke.c:645
Comment 1 Valentin Villenave 2015-08-21 05:41:04 EDT
Created attachment 1065516 [details]
File: backtrace
Comment 2 Valentin Villenave 2015-08-21 05:41:08 EDT
Created attachment 1065517 [details]
File: cgroup
Comment 3 Valentin Villenave 2015-08-21 05:41:16 EDT
Created attachment 1065518 [details]
File: core_backtrace
Comment 4 Valentin Villenave 2015-08-21 05:41:22 EDT
Created attachment 1065519 [details]
File: dso_list
Comment 5 Valentin Villenave 2015-08-21 05:41:24 EDT
Created attachment 1065520 [details]
File: environ
Comment 6 Valentin Villenave 2015-08-21 05:41:33 EDT
Created attachment 1065521 [details]
File: limits
Comment 7 Valentin Villenave 2015-08-21 05:41:50 EDT
Created attachment 1065522 [details]
File: maps
Comment 8 Valentin Villenave 2015-08-21 05:41:57 EDT
Created attachment 1065523 [details]
File: mountinfo
Comment 9 Valentin Villenave 2015-08-21 05:42:00 EDT
Created attachment 1065524 [details]
File: namespaces
Comment 10 Valentin Villenave 2015-08-21 05:42:03 EDT
Created attachment 1065525 [details]
File: open_fds
Comment 11 Valentin Villenave 2015-08-21 05:42:08 EDT
Created attachment 1065526 [details]
File: proc_pid_status
Comment 12 Fedora Admin XMLRPC Client 2016-01-29 08:08:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2016-07-19 13:36:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.